OpenShot Audio Library | OpenShotAudio: juce::MPEInstrument::Listener Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.1

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::MPEInstrument::Listener Class Reference

`#include <juce_MPEInstrument.h>`

Inheritance diagram for juce::MPEInstrument::Listener:

## Public Member Functions
virtual | ~Listener ()=default
virtual void | noteAdded (MPENote newNote)
virtual void | notePressureChanged (MPENote changedNote)
virtual void | notePitchbendChanged (MPENote changedNote)
virtual void | noteTimbreChanged (MPENote changedNote)
virtual void | noteKeyStateChanged (MPENote changedNote)
virtual void | noteReleased (MPENote finishedNote)

## Detailed Description

Derive from this class to be informed about any changes in the expressive MIDI notes played by this instrument.

Note: This listener type receives its callbacks immediately, and not via the message thread (so you might be for example in the MIDI thread). Therefore you should never do heavy work such as graphics rendering etc. inside those callbacks.

Definition at line 255 of file juce_MPEInstrument.h.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual juce::MPEInstrument::Listener::~Listener | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ noteAdded()

virtual void juce::MPEInstrument::Listener::noteAdded | ( | MPENote | newNote | ) |
| inlinevirtual

Implement this callback to be informed whenever a new expressive MIDI note is triggered.

Reimplemented in juce::MPESynthesiser.

Definition at line 264 of file juce_MPEInstrument.h.

Referenced by juce::MPEInstrument::noteOn().

## ◆ noteKeyStateChanged()

virtual void juce::MPEInstrument::Listener::noteKeyStateChanged | ( | MPENote | changedNote | ) |
| inlinevirtual

Implement this callback to be informed whether a currently playing MPE note's key state (whether the key is down and/or the note is sustained) has changed.

Note: If the key state changes to MPENote::off, noteReleased is called instead.

Reimplemented in juce::MPESynthesiser.

Definition at line 292 of file juce_MPEInstrument.h.

Referenced by juce::MPEInstrument::noteOff().

## ◆ notePitchbendChanged()

virtual void juce::MPEInstrument::Listener::notePitchbendChanged | ( | MPENote | changedNote | ) |
| inlinevirtual

Implement this callback to be informed whenever a currently playing MPE note's pitchbend value changes.

Note: This can happen if the note itself is bent, if there is a master channel pitchbend event, or if both occur simultaneously. Call MPENote::getFrequencyInHertz to get the effective note frequency.

Reimplemented in juce::MPESynthesiser.

Definition at line 278 of file juce_MPEInstrument.h.

## ◆ notePressureChanged()

virtual void juce::MPEInstrument::Listener::notePressureChanged | ( | MPENote | changedNote | ) |
| inlinevirtual

Implement this callback to be informed whenever a currently playing MPE note's pressure value changes.

Reimplemented in juce::MPESynthesiser.

Definition at line 269 of file juce_MPEInstrument.h.

## ◆ noteReleased()

virtual void juce::MPEInstrument::Listener::noteReleased | ( | MPENote | finishedNote | ) |
| inlinevirtual

Implement this callback to be informed whenever an MPE note is released (either by a note-off message, or by a sustain/sostenuto pedal release for a note that already received a note-off), and should therefore stop playing.

Reimplemented in juce::MPESynthesiser.

Definition at line 299 of file juce_MPEInstrument.h.

Referenced by juce::MPEInstrument::noteOff(), juce::MPEInstrument::noteOn(), and juce::MPEInstrument::releaseAllNotes().

## ◆ noteTimbreChanged()

virtual void juce::MPEInstrument::Listener::noteTimbreChanged | ( | MPENote | changedNote | ) |
| inlinevirtual

Implement this callback to be informed whenever a currently playing MPE note's timbre value changes.

Reimplemented in juce::MPESynthesiser.

Definition at line 283 of file juce_MPEInstrument.h.

The documentation for this class was generated from the following file:

- juce_MPEInstrument.h